
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
body{
    font-family: "Poppins", sans-serif;

}


       /*===== Variables Css =====*/
:root{
    --header-height:3.5rem;

      /*===== colors =====*/
    --hue:210;
 --first-color:hsl(var(--hue),71%,70%);
 --first-color-alt:hsl(var(--hue),56%,35%);
 --title-color:hsl(228,8%,95%);
 --text-color:hsl(228,8%,65%);
 --body-color:hsl(228,15%,20%);
--container-color:hsl(228,15%,15%);
     /*===== font and topography =====*/
   --body-font:"Poppins", sans-serif;
   --biggest-font-size:2rem;
   --bigger-font-size:1.25rem;
   --h1-font-size:1.5rem;
   --h1-font-size:1.25rem;
   --h1-font-size:1rem;
   --normal-font-size:.938rem;
   --small-font-size:.813rem;
   --smaller-font-size:.75rem;

     /*=====  font weight =====*/

   --font-regular:400;
   --font-medium:500;
   --font-semi-bold:600;
   
    /*===== z index =====*/
   --z-tooltip:10;
   --z-fixed:100;
}

  /*=====  Responsive typography =====*/
  @media screen and (min-width:1152px){
  :root{
    --biggest-font-size:4rem;
     --bigger-font-size:2rem;
     --h1-font-size:2.25rem;
     --h2-font-size:1.5rem;
     --h3-font-size:1.25rem;
     --normal-font-size:1 rem;
     --small-font-size:.875rem;
     --smaller-font-size:.813rem;

  } 
}
  /*=====  Base=====*/
 *{
    box-sizing: border-box;
      padding:0;
      margin:0;

  }

  html{
    scroll-behavior:smooth;
  }
    
  input,
  textarea,
  button,
  body{
    font-family: var(--body-font);
    font-size: var(--normal-font-size);

  }

  body{
    background-color: var(--body-color);
    color: var(--text-color);
  }

  input,
  textarea,
  button{
    outline: none;
    border: none;
  }
  h1,h2,h3,h4{
    color: var(--title-color);
    font-weight: var(--font-medium);
  }
  ul{
    list-style: none;
  }

a{
    text-decoration: none;
}

img,svg{
    max-width: 100%;
    height: auto;
}
  /*===== reusable css classes =====*/
.container{
    max-width: 1120px;
    margin-inline: 1.5rem;

}

.grid {
    display:grid;
    gap:1.5rem;
}
.section {
padding-block: 5rem 2rem;
}
.section__title,.section__subtitle
{
text-align: center;
color: var(--title-color);
font-weight: var(--font-semi-bold);
}
.section__title{
    font-size: var(--h1-font-size);
    margin-bottom: 1.5rem;
}
.section__subtitle{
    font-size: var(--small-font-size);
    margin-bottom: .25rem;
}
.section__subtitle span{
   color: var(--first-color);
}
.main{
overflow: hidden;/*for animated*/
}
/*===header&nav===*/
.header{
  position: fixed;
  width: 100%;
  background-color: var(--container-color);
  top: 0;
  left: 0;
  z-index: var(--z-fixed);
}

.nav{
  height: var(--header-height);
  display: flex;
  justify-content: space-between;
  align-items: center;

}
.nav__logo{
  color: var(--title-color);
  font-weight: var(--font-medium);
}
.nav__logo span {
  color: var(--first-color);
}
.nav__toggle,.nav__close{
  display: flex;
  font-size: 1.25rem;
  color: var(--title-color);
  cursor: pointer;
}
/*=== navigation for mobile devices ===*/
@media  screen and (max-width:1023px) {
  .nav__menu{
   position: fixed;
   top: 0;
   right: -100%;
   background-color: hsla(0,0%, 10%,.3);
   width: 75%;
   height: 100%;
   padding: 4.5rem 0 0 3rem;
   backdrop-filter: blur(24px);
   --webkit--backdrop--filter:blur(24px);
   transition: right .4s;

  }
}
.nav__list{
  display: flex;
  flex-direction: column;
  row-gap: 3rem;
  
}
.nav__link{
  color: var(--title-color);
  font-weight: var(--font-medium);
  transition: color .4s;
}
.nav__link:hover{
  color: var(--first-color);
}
.nav__close{
  position: absolute;
  top: 1rem;
  right: 1.5rem;
}
/*SHOW MENU*/
.show-menu{
  right: 0;
} 
/*ADD BLUR TO HEADER*/
.blur-header{
  background-color: transparent;
}
.blur-header::after{
  content: '';
  position: absolute;
  width: 1000%;
 height: 100%;
  background-color: hsla(0, 0%, 10%, .3);
  backdrop-filter: blur(24px);
  -webkit-backdrop-filter: blur(24px);/*for safari*/
  top: 0;
  left: 0;
  z-index:-1 ;
}
/*Active link*/
.active-link{
  color: var(--first-color);
}

/*home*/
.home{
   background-color: var(--container-color);
}
.home__container{
  padding-top: 2rem;
  row-gap: 2.5rem;
}
.home__content{
display: grid;
row-gap: 2rem;
}
.home__data{
  text-align: center;
}
.home__subtitle,
.home__education{
  font-size:var(--bigger-font-size) ;
}
.home__subtitle span,.home__title{
color: var(--first-color);
}
.home__title{
  font-size: var(--bigger-font-size);
  font-weight: var(--font-semi-bold);
}
.home__description{
  margin-block:1rem 1.5rem;
}
.home__social{
  display: flex;
  justify-content: center;
  column-gap:1.5rem ;
}
.home__social-link{
  display: flex;
  padding: .5rem;
  color: var(--title-color);
  background-color: var(--first-color-alt);
  clip-path: polygon(50% 0%, 100% 25%, 100% 75%, 50% 100%, 0% 75%, 0% 25%);
  transition: transform .4s;
}
.home__social-link:hover{
  transform: translateY(-.25rem);
}
.home__image{
justify-self: center;
}

.home__blob{
  width: 320px;
  fill: var(--first-color);
  filter: drop-shadow(0 12px 12px hsla(var(--hue),100%,40%,.2));
}
.button{
  display: inline-block;
  background-color: var(--first-color);
  padding: 1rem 1.75rem;
  border-radius: .5rem;
  color: var(--title-color);
  font-weight: var(--font-medium);
  transition: box-shadow .4s;
}

.button:hover{
  box-shadow: 0 8px 24px hsla(var(--hue),100%,40%,.25);
}
/*ABOUT*/
.about__container{
  row-gap: 2.5rem;
}
.about__data{
  text-align: center;
}
.about__description{
  margin-bottom: 2rem;
}
.about__image{
  justify-self: center;
}
.about__blob{
  width: 320px;
}
.about__blob path{
  stroke: var(--first-color);
}
/*Skills*/

.skills{
  background-color: var(--container-color);
}
.skills__container{
  padding-bottom: 2rem;
  row-gap: 3.5rem;
}

.skills__data{
  text-align: center;
}
.skills__description{
  margin-bottom: 2rem;
}
.skills__content,
.skills__group{
  display: grid;
}
.skills__content{
grid-template-columns: repeat(2,max-content);
column-gap: 4rem;
justify-content: center;
align-items: baseline;
}
.skills__group{
  font-weight: var(--font-medium);
  color: var(--title-color);
}
.skills__item::marker{
color: var(--first-color);
}
/*Services */
.services__container{
  row-gap: 2rem;
  padding-block: 1rem;
}
.services__card{
  text-align: center;
  background-color: var(--container-color);
  padding: 3rem 1.25rem;
  border-radius: 1rem;
  border: 2px solid var(--container-color);
  transition: .75rem;
}
.services__icon{
  display: block;
  font-size: 4rem;
  color: var(--first-color);
  margin-bottom: .75rem;

}
.services__title{
  font-size: var(--h2-font-size);
  margin-bottom: 1.5rem;
}

.services__card:hover{
  border: 2px solid var(--first-color);
}
/*projects */
.projects{
  background-color: var(--container-color);
}
.projects__container{
  row-gap: 2rem;
  justify-content: center;
  padding-block: 1rem;
}
.projects__card{
  position: relative;
  border-radius: 1rem;
  overflow: hidden;
}
.projects__img{
width: 100%;
height: 100%;
}
.projects__modal{
  position: absolute;
  left: 0;
  bottom: -100%;
  width: 100%;
  height: 100%;
  background: linear-gradient(180deg,
  hsla(0,0%,0%,0)0%,
  hsla(var(--hue),70%,40%,.8)120%
  );
  backdrop-filter: blur(4px);
  -webkit-backdrop-filter: blur(4px);/*for safari*/
  border-radius: 1rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  transition: bottom .4s;

}
.projects__subtitle,
.projects__button{
  color: var(--title-color);
  font-size: var(--small-font-size);
}
.projects__subtitle{
  display: block;
  margin-bottom: .25rem;
}
.projects__title{
  font-size: var(--h2-font-size);
  margin-bottom: .75rem;
}
.projects__button{
  display: flex;
  align-items: center;
  column-gap: .5rem;
  font-weight: var(--font-medium);
}
.projects__button i{
font-size: 1.25rem;
}

.projects__card:hover .projects__modal{
  bottom: 0;
}
/*Contact*/
.contact__container{
  padding-top: 1rem;
}
.contact__form,
.contact__group{
display: grid;
row-gap: 1rem;
}
.contact__form{
  position: relative;
}
.contact__input{
  padding: 1rem 1.25rem;
  border-radius: .5rem;
  background-color: var(--container-color);
  color: var(--title-color);
}
.contact__input::placeholder{
  color: var(--text-color);
}
.contact__form textarea{
  height: 11rem;
  resize: none;
  margin-bottom: 2rem;

}
.contact__button{
  justify-self: center;
  cursor: pointer;
}
.contact__message {
  position: absolute;
  left:0;
  bottom: 4.5rem;
  font-size: var(--small-font-size);
  color: var(--title-color);
}
/*footer */
.footer{
  background-color: var(--container-color);
  padding-block: 3.5rem 2rem;
}
.footer__container{
  row-gap: 2rem;
  text-align: center;
}
.footer__title{
  font-size: var(--h1-font-size);
  font-weight: var(--font-semi-bold);
  margin-bottom: .25rem;

}
.footer__title span{
color: var(--first-color);
}

.footer__education{
  font-size: var(--normal-font-size);
}
.footer__social{
  display: flex;
  justify-content: center;
  column-gap: 1.25rem;
}
.footer__social-link{
  display: flex;
  background-color: var(--first-color-alt);
  padding: .5rem;
  color: var(--title-color);
  font-size: 1.25rem;
  clip-path:polygon(50% 0% ,100% 25%, 100% 75%, 50% 100%, 0% 75%, 0% 25% );
  transition: transform .4s ;


}
.footer__social-link:hover{
  transform: translateY(-.25rem);

 
}
.footer__copy{
    font-size: var(--small-font-size);
    margin-top: 2rem;
}
/*scroll bar*/
::-webkit-scrollbar{
  width: .6rem;
  border-radius: .5rem;
  background-color: hsl(228, 12%, 25%);
}
::-webkit-scrollbar-thumb{
  background-color: hsl(228, 8%, 35%);
  border-radius: .5rem;

}
::-webkit-scrollbar-thumb:hover{
  background-color: hsl(228, 8%, 45%);

}
/*scroll up*/
.scrollup{
  position:fixed;
  right:1rem;
  bottom:-50%;
  background-color: var(--body-color);
  padding: 6px;
  display: inline-flex;
  border-radius: .25rem;
  color: var(--first-color);
  font-size: 1.25rem;
  box-shadow: 0 4px 12px hsla(228, 15%, 8%, .4);
  z-index: bottom .4s, transform .4s;
}
.scrollup:hover{
  transform: translateY(-.25rem);
}
/* show scroll up*/
.show-scroll{
bottom: 3rem;
}
/*BREAKPOINTS */
/*for small devices*/
@media screen and (max-width: 320px){
.container{
  margin-inline: 1rem;
}
.skills__content{
  grid-template-columns: max-content;
  row-gap: 1rem;
}
.services__card{
  padding-block: 1.5rem;
}

}
/*for medium devices*/
@media screen and (min-width:576px){
 .home__container,
 .about__container,
 .skills__container,
 .services__container,
 .projects__container,
 .contact__container{
  grid-template-columns: 360px;
  justify-content: center;

 }
  
  }
  @media screen and (min-width:768px){
   .nav__menu{
    width: 55%;
   }
   .home__container,
   .about__container,
   .skills__container{
    grid-template-columns: repeat(2,1fr);
    align-items: center;
   }
   .home__data,
   .about__data,
   .skills__data
   :is(.about__data, .skills__data):is(.section__subtitle,.section__title){
    text-align: initial;
   }
   .home__social{
    justify-content: initial;
   }
   .home__blob,
   .about__blob{
    width: 400px;
   }
   .about__data{
    order: 1;
   }
   .services__container,
   .projects__container{
    grid-template-columns: repeat(2 , 352px);
   }

     }
     /*for large devices*/

@media screen and (min-width:1023px) {
  .section{
padding-block: 7rem 2rem;
  }
  .section__subtitle{
    font-size: var(--normal-font-size);
  }
  .nav{
    height: calc(var(--header-height) + 1.5rem);
  }
  .nav__close,
  .nav__toggle{
    display: none;
  }
  .nav__list{
    flex-direction: row;
    column-gap: 3rem;
  }
  .nav__menu{
    width: initial;
  }
  .blur-header::after{
    backdrop-filter: blur(25px);
    -webkit-backdrop-filter: blur(25px);/*for safari*/

  }

  
}
@media screen  and (min-width:1152px) {
.container{
  margin-inline: auto;
}
.home__container{
  grid-template-columns: 455px 550px;
  column-gap: 7rem;
  padding-block: 2rem 3rem;

}
.home__blob{
  width: 550px;
}
.home__content{
  row-gap: 4.5rem;
}
.home__description{
  margin-block: 1.5rem 2.5rem;
}
.home__social{
  column-gap: 1.5rem;
}
.about__container{
  grid-template-columns: 550px 460px;
  column-gap: 4.5rem;
  padding-bottom: 1rem;
}
.about__blob{
  width: 550px;
}
.about__description{
  margin-bottom: 3rem;
}
.skills__container{
  grid-template-columns: 340px 425px;
  column-gap: 10rem;
  padding-bottom: 4rem;
}
.skills__description{
  margin-bottom: 3rem;
}
.skills__content{
  column-gap: 8rem;
}
.skills__group{
  row-gap: 1.5rem;
}
.skills__item{
  font-size: var(--h3-font-size);
}
.services__container{
  grid-template-columns: repeat(3,352px);
  padding-block: 2.5rem 4rem;
}
.services__card{
  padding: 3.5rem 2rem;
}
.projects__container{
  grid-template-columns: repeat(3, 350px);
  row-gap: 3rem;
  padding-block: 2.5rem 4rem ;

}
.projects__button{
  font-size: var(--normal-font-size);
}
.contact__container{
  grid-template-columns: 680px;
  padding-block: 2.5rem 2rem;
}
.contact__form{
  row-gap: 1.5rem;
}
.contact__group{
  grid-template-columns: repeat(2, 1fr);
  column-gap: 1.5rem;
}
.contact__input{
  padding: 1.5rem;
}
.contact__form textarea{
  height: 20rem;
}
.footer{
  padding-block: 4.5rem 4rem;
}
.footer__container{
  grid-template-columns: repeat(3 , 1fr);
  align-items: center;
  text-align: initial;
}
.footer__title{
  font-size: var(--bigger-font-size);
}
.footer__social{
  column-gap: 1.5rem;
}

.footer__copy{
  margin: 0;
  justify-content:flex-end;
}
.scrollup{
  right: 3rem;
}


}